## tdebase-trinity 14.0.9

=== kdesktop/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include( ConfigureChecks.cmake )

add_subdirectory( lock )
add_subdirectory( pics )
add_subdirectory( patterns )
add_subdirectory( programs )
add_subdirectory( init )
add_subdirectory( kwebdesktop )


if( NOT BUILD_LIBKONQ )
  include( "${TDE_CMAKE_DIR}/libkonq.cmake" )
endif( NOT BUILD_LIBKONQ )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/tdmlib
  ${CMAKE_SOURCE_DIR}/kcontrol/background
  ${CMAKE_SOURCE_DIR}/libkonq
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${DBUS_INCLUDE_DIRS}
  ${DBUS_1_TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${LIBART_LIBRARY_DIRS}
  ${DBUS_1_TQT_LIBRARY_DIRS}
)


##### headers ###################################

install( FILES
    KDesktopIface.h KScreensaverIface.h KBackgroundIface.h
  DESTINATION ${INCLUDE_INSTALL_DIR} )


##### other data ################################

tde_create_translated_desktop(
  SOURCE kdesktop.desktop.cmake
  DESTINATION ${AUTOSTART_INSTALL_DIR}
  PO_DIR kdesktop-desktops
)

install( FILES kdesktop_custom_menu1 kdesktop_custom_menu2 DESTINATION ${CONFIG_INSTALL_DIR} )

tde_create_translated_desktop(
  SOURCE kdesktopSetAsBackground.desktop
  DESTINATION ${DATA_INSTALL_DIR}/konqueror/servicemenus
  PO_DIR kdesktop-desktops
)

install( FILES kdesktop.kcfg tdelaunch.kcfg DESTINATION ${KCFG_INSTALL_DIR} )


##### kcheckrunning (executable) ################

tde_add_executable( kcheckrunning
  SOURCES kcheckrunning.cpp
  LINK ${TQT_LIBRARIES} X11
  DESTINATION ${BIN_INSTALL_DIR}
)


##### kdesktop (tdeinit) ########################

set( target kdesktop )
set_property( SOURCE lockeng.cc APPEND PROPERTY COMPILE_DEFINITIONS KDE_CONFDIR="${TDE_CONFIG_DIR}" )

set( ${target}_SRCS
  main.cc krootwm.cc xautolock.cc kdiconview.cc init.cc
  desktop.cc lockeng.cc KDesktopIface.skel bgmanager.cc
  KScreensaverIface.skel minicli.cpp KBackgroundIface.skel
  pixmapserver.cc kcustommenu.cc startupid.cpp minicli_ui.ui
  xautolock_diy.c xautolock_engine.c kshadowengine.cpp
  kshadowsettings.cpp kdesktopshadowsettings.cpp
  tdefileividesktop.cpp kdesktopapp.cpp
)

tde_add_tdeinit_executable( ${target} AUTOMOC
  SOURCES ${${target}_SRCS}
  LINK
    pthread kdesktopsettings-static bgnd-static dmctl-static
    konq-shared tdeutils-shared tdesu-shared
    ${XRENDER_LIBRARIES} ${XCURSOR_LIBRARIES} Xext ${DL_LIBRARIES}
    ${XSS_LIBRARIES} ${DBUS_1_TQT_LIBRARIES}
)


##### kdesktopsettings (static) #################

tde_add_library( kdesktopsettings STATIC_PIC
  SOURCES kdesktopsettings.kcfgc tdelaunchsettings.kcfgc
)

=== doc/khelpcenter/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_create_handbook( DESTINATION khelpcenter )

=== konqueror/about/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TDE_LIBRARY_DIRS}
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE konq_aboutpage.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR konqueror-desktops
)

tde_create_translated_desktop(
  SOURCE konqaboutpage.desktop
  DESTINATION ${SERVICETYPES_INSTALL_DIR}
  PO_DIR konqueror-desktops
)

install( FILES
    box-centre-konqueror.png top-right-konqueror.png
    lightning.png launch.html intro.html specs.html
    tips.html plugins.html plugins_rtl.html konq.css
  DESTINATION ${DATA_INSTALL_DIR}/konqueror/about )


##### konq_aboutpage (module) ###################

set( target konq_aboutpage )

tde_add_kpart( ${target} AUTOMOC
  SOURCES konq_aboutpage.cc
  LINK tdehtml-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== konqueror/iconview/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/libkonq
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TDE_LIBRARY_DIRS}
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE konq_iconview.desktop konq_multicolumnview.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR konqueror-desktops
)

install( FILES konq_iconview.rc konq_multicolumnview.rc DESTINATION ${DATA_INSTALL_DIR}/konqiconview )


##### konq_iconview (module) ####################

set( target konq_iconview )

tde_add_kpart( ${target} AUTOMOC
  SOURCES konq_iconview.cc
  LINK konq-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== ksysguard/gui/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( ksgrd )
add_subdirectory( SensorDisplayLib )


include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}/SensorDisplayLib
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/ksgrd
  ${CMAKE_CURRENT_SOURCE_DIR}/SensorDisplayLib
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE ksysguard.desktop
  DESTINATION ${XDG_APPS_INSTALL_DIR}
  PO_DIR ksysguard-desktops
)
tde_create_translated_desktop(
  SOURCE x-ksysguard.desktop
  DESTINATION ${MIME_INSTALL_DIR}/application
  PO_DIR ksysguard-desktops
)
install( FILES ProcessTable.sgrd SystemLoad.sgrd KSysGuardApplet.xml ksysguardui.rc DESTINATION ${DATA_INSTALL_DIR}/ksysguard )
tde_create_translated_desktop(
  SOURCE ksysguardapplet.desktop
  DESTINATION ${DATA_INSTALL_DIR}/kicker/applets
  PO_DIR ksysguard-desktops
)


##### sysguard_panelapplet (module) #############

tde_add_kpart( sysguard_panelapplet AUTOMOC
  SOURCES KSysGuardApplet.cc KSGAppletSettings.cc
  LINK sensordisplays-static ksgrd-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### ksysguard (executable) ####################

tde_add_executable( ksysguard AUTOMOC
  SOURCES
    SensorBrowser.cc WorkSheet.cc WorkSheetSettings.cc
    Workspace.cc ksysguard.cc ksysguard.skel
  LINK sensordisplays-static ksgrd-shared tdednssd-shared
  DESTINATION ${BIN_INSTALL_DIR}
)


##### kpm (executable) ##########################

tde_add_executable( kpm
  SOURCES kpm.c
  DESTINATION ${BIN_INSTALL_DIR}
)

=== tdeioslave/filter/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE gzip.protocol bzip.protocol bzip2.protocol xz.protocol lzma.protocol
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR tdeioslave-desktops
)


##### tdeio_filter (module) #######################

set( target tdeio_filter )

tde_add_kpart( ${target} AUTOMOC
  SOURCES filter.cc
  LINK tdeio-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== ksplashml/themeengine/redmond/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( pics )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/ksplashml/themeengine
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

install( FILES Theme.rc DESTINATION ${DATA_INSTALL_DIR}/ksplash/Themes/Redmond )
tde_create_translated_desktop(
  SOURCE ksplashredmond.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR ksplash-desktops
)


##### ksplashredmond (module) ###################

tde_add_kpart( ksplashredmond AUTOMOC
  SOURCES previewredmond.cpp themeredmond.cpp
  LINK ksplashthemes-shared tdeio-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== ksysguard/gui/SensorDisplayLib/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/ksysguard/gui/ksgrd
  ${CMAKE_SOURCE_DIR}/ksysguard/gui
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### sensordisplays (static) ###################

tde_add_library( sensordisplays STATIC_PIC AUTOMOC
  SOURCES
    SensorDisplay.cc BarGraph.cc DancingBars.cc DancingBarsSettings.cc
    DummyDisplay.cc FancyPlotter.cc FancyPlotterSettings.cc
    ListView.cc LogFile.cc MultiMeter.cc MultiMeterSettings.cc
    ProcessController.cc ProcessList.cc ReniceDlg.cc
    SensorLogger.cc SensorLoggerDlg.cc SensorLoggerSettings.cc
    ListViewSettings.cc SignalPlotter.cc ListViewSettingsWidget.ui
    LogFileSettings.ui MultiMeterSettingsWidget.ui SensorLoggerDlgWidget.ui
    SensorLoggerSettingsWidget.ui
  LINK ksgrd-shared tdeio-shared
)

=== tdeioslave/media/medianotifier/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/tdeioslave/media/libmediacommon
  ${CMAKE_SOURCE_DIR}/tdeioslave/media/libmediacommon
  ${CMAKE_SOURCE_DIR}/tdmlib
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE medianotifier.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}/kded
  PO_DIR tdeioslave-desktops
)


##### kded_medianotifier (module) ###############

set( target kded_medianotifier )

set( ${target}_SRCS
  medianotifier.cpp medianotifier.skel notificationdialog.cpp
  notificationdialogview.ui
)

tde_add_kpart( ${target} AUTOMOC
  SOURCES ${${target}_SRCS}
  LINK mediacommon-static tdeinit_kded-shared dmctl-static
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== debian/changelog ===
tdebase-trinity (4:14.0.9-0ubuntu19.04.0+0) disco; urgency=low

  * Automated git build for r14.0.9

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 16 Oct 2020 23:04:46 +0200

=== debian/rules ===
#!/usr/bin/make -f

# Set LD_LIBRARY_PATH to the installed library directory to allow dh_shlibdeps to function
# Also include the main Trinity path
ifeq ("$(LD_LIBRARY_PATH)", "")
LD_LIBRARY_PATH=debian/tmp/opt/trinity/lib
else
LD_LIBRARY_PATH += :debian/tmp/opt/trinity/lib
endif
export LD_LIBRARY_PATH

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
include debian/cdbs/debian-tde.mk

DEB_KDE_APIDOX := yes

CXXFLAGS := -DSMB_CTX_FLAG_USE_KERBEROS -DSMB_CTX_FLAG_FALLBACK_AFTER_KERBEROS -g -Wall $(DEB_OPT_FLAG)

DEB_CMAKE_EXTRA_FLAGS := \
 -DLIB_SUFFIX="" \
 -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DSYSCONF_INSTALL_DIR="/etc/trinity" \
 -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" \
 -DCMAKE_LIBRARY_PATH="/opt/trinity/lib" \
 -DCMAKE_INCLUDE_PATH="/opt/trinity/include/" \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DBUILD_ALL="ON" \
 -DWITH_GCC_VISIBILITY="ON" \
 -DKCHECKPASS_PAM_SERVICE="kcheckpass-trinity" \
 -DTDM_PAM_SERVICE="tdm-trinity" \
 -DTDESCREENSAVER_PAM_SERVICE="tdescreensaver-trinity" \
 -DWITH_USBIDS="/usr/share/misc/usb.ids" \
 -DWITH_ARTS="ON" \
 -DWITH_PAM="ON" \
 -DWITH_SASL="ON" \
 -DWITH_ELFICON="ON" \
 -DWITH_SUDO_TDESU_BACKEND="OFF" \
 -DWITH_SUDO_KONSOLE_SUPER_USER_COMMAND="ON" \
 -DWITH_LDAP="ON" \
 -DWITH_SAMBA="ON" \
 -DWITH_LIBUSB="ON" \
 -DWITH_LIBRAW1394="ON" \
 -DWITH_OPENEXR="ON" \
 -DWITH_XCOMPOSITE="ON" \
 -DWITH_XCURSOR="ON" \
 -DWITH_XFIXES="ON" \
 -DWITH_XRANDR="ON" \
 -DWITH_XINERAMA="ON" \
 -DWITH_SENSORS="ON" \
 -DWITH_HAL="OFF" \
 -DWITH_TDEHWLIB="ON" \
 -DWITH_XDMCP="ON" \
 -DWITH_XRENDER="ON" \
 -DWITH_XTEST="ON" \
 -DWITH_OPENGL="ON" \
 -DWITH_XSCREENSAVER="ON" \
 -DWITH_UPOWER="ON" \
 -DWITH_LIBART="ON" \
 -DWITH_LIBCONFIG="ON" \
 -DWITH_PCRE="ON"

DEB_FIXPERMS_EXCLUDE := \
	opt/trinity/bin/kcheckpass    \
	opt/trinity/bin/tdekbdledsync \
	opt/trinity/bin/tdesud    \
	opt/trinity/bin/tdmtsak

DEB_DH_STRIP_ARGS  := --dbg-package=tdebase-trinity-dbg

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

DOC_HTML_PRUNE := ksplashml kcontrol khelpcenter tdesu knetattach tdeioslave kxkb tdedebugdialog kdcop

PACKAGES_WITH_LIBS := kate-trinity kcontrol-trinity tdebase-trinity-bin kicker-trinity konqueror-trinity ksplash-trinity \
			ksysguard-trinity twin-trinity libkonq4-trinity

#shlibs_ver = 4:3.5.0-1
#$(foreach p,$(PACKAGES_WITH_LIBS),$(eval DEB_DH_MAKESHLIBS_ARGS_$(p) := -V'$(p) (>= $(shlibs_ver))'))

makebuilddir::
	touch kcontrol/energy/pics/energybig.png
	touch kcontrol/energy/pics/lo-energy.png
	uudecode -o kcontrol/pics/cr128-app-energy_star.png debian/img/cr128-app-energy_star.png.uu
	uudecode -o kcontrol/pics/cr16-app-energy_star.png debian/img/cr16-app-energy_star.png.uu
	uudecode -o kcontrol/pics/cr32-app-energy_star.png debian/img/cr32-app-energy_star.png.uu
	uudecode -o kcontrol/pics/cr48-app-energy_star.png debian/img/cr48-app-energy_star.png.uu
	uudecode -o kcontrol/pics/cr64-app-energy_star.png debian/img/cr64-app-energy_star.png.uu

common-install-prehook-arch::
	grep -v -e joystick -e view1394  debian/kcontrol-trinity.install > debian/kcontrol-trinity.install.kfreebsd-i386
	grep -v -e joystick -e view1394  debian/kcontrol-trinity.install > debian/kcontrol-trinity.install.kfreebsd-amd64
	grep -v -e media_propsdlgplugin  debian/tdebase-tdeio-plugins-trinity.install > debian/tdebase-tdeio-plugins-trinity.install.kfreebsd-i386
	grep -v -e media_propsdlgplugin  debian/tdebase-tdeio-plugins-trinity.install > debian/tdebase-tdeio-plugins-trinity.install.kfreebsd-amd64

clean::
	rm -f debian/kcontrol-trinity.install.kfreebsd* debian/tdebase-tdeio-plugins-trinity.install.kfreebs*
	rm -f kcontrol/pics/cr*-app-energy_star.png kcontrol/energy/pics/energybig.png kcontrol/energy/pics/lo-energy.png

binary-install/tdebase-data-trinity::
	# hack the oui.db install, as under kfreebsd it does not get installed and then breaks at dh_install time
	# it's in fact a linux specific file...
	install -p -D -m644 kcontrol/view1394/oui.db debian/tdebase-data-trinity/opt/trinity/share/apps/kcmview1394/oui.db
	install -p -D -m644 debian/tmp/etc/xdg/menus/applications-merged/tde-essential.menu debian/tdebase-data-trinity/opt/trinity/etc/xdg/menus/applications-merged/tde-essential.menu
	install -p -D -m644 debian/tmp/etc/xdg/menus/tde-screensavers.menu debian/tdebase-data-trinity/opt/trinity/etc/xdg/menus/tde-screensavers.menu
	install -p -D -m644 debian/tmp/etc/xdg/menus/tde-settings.menu debian/tdebase-data-trinity/opt/trinity/etc/xdg/menus/tde-settings.menu

install/tdm-trinity::
	#sed -i 's/#UseTheme=true/UseTheme=true/g' debian/tmp/etc/trinity/tdm/tdmrc
	#sed -i 's/Theme=@@@ToBeReplacedByDesktopBase@@@/Theme=\/opt\/trinity\/share\/apps\/tdm\/themes\/kubuntu-trinity/g' debian/tmp/etc/trinity/tdm/tdmrc

binary-install/tdm-trinity::
	mkdir -p debian/tdm-trinity/etc/init
	install -p -D -m644 debian/tdm-trinity.conf debian/tdm-trinity/etc/init/tdm-trinity.conf
	install -p -D -m644 debian/tdm-trinity.pam debian/tdm-trinity/etc/pam.d/tdm-trinity
	install -p -D -m644 debian/tdm-trinity-np.pam debian/tdm-trinity/etc/pam.d/tdm-trinity-np
	
	install -p -D -m644 debian/tdm-trinity.needrestart debian/tdm-trinity/etc/needrestart/conf.d/tdm-trinity.conf

binary-install/kcontrol-trinity::
	mkdir -p debian/kcontrol/etc/udev/rules.d
	chmod +x debian/usermap.pl
	debian/usermap.pl kcontrol/input/logitechmouse.usermap > debian/kcontrol/etc/udev/logitechmouse.rules

install/klipper-trinity::
	sed -i '/X-Ubuntu-Gettext-Domain=/d' debian/tmp/etc/trinity/klipperrc

binary-install/tdebase-trinity-bin::
	install -p -D -m644 debian/kcheckpass-trinity.pam debian/tdebase-trinity-bin/etc/pam.d/kcheckpass-trinity
	install -p -D -m644 debian/tdescreensaver-trinity.pam debian/tdebase-trinity-bin/etc/pam.d/tdescreensaver-trinity
	mkdir -p debian/tdebase-trinity-bin/opt/trinity/share/apps/kxkb/
	install -p -D -m644 debian/ubuntu.xmodmap debian/tdebase-trinity-bin/opt/trinity/share/apps/kxkb/system.xmodmap
	install -p -D -m644 debian/80ubuntu-xmodmap debian/tdebase-trinity-bin/etc/X11/Xsession.d/80ubuntu-trinity-xmodmap
	mkdir -p debian/tdebase-trinity-bin/opt/trinity/share/autostart/

binary-install/ksmserver-trinity::
	install -p -D -m644 debian/tmp/opt/trinity/share/apps/tdm/sessions/tde.desktop debian/ksmserver-trinity/usr/share/xsessions/trinity.desktop

## tdebase-trinity 14.0.10

=== debian/changelog ===
tdebase-trinity (4:14.0.10-9romtbase) wheezy; urgency=low

  * Applying kcalendarsystem_World.patch
  * Applying kdesktop_BackGrndPntr.patch
  * Applying improved slave_media_fstabByUdisks.patch
  * Applying icons_name-CDR-CDRW.patch
  * Applying noFreezeSaverEngine.patch
  * Applying quicklauncher_ignoreWrongUrls.patch
  * Applying konqueror_sidebar_NoDoubleSystemItems.patch
  * Applying systemtray_noDoubleIcon.patch, with fixing of using readBoolEntry()
  * Applying tdebase_tdeio_smb_NoDoubleResultWithErr.patch
  * Applying tdebase_ksysguard_NoProcLoadLimit100.patch
  * Applying tdebase_tdeio_media_fuserRestoreOnUdisks.patch

 -- Roman Savochenko <roman@oscada.org>  Sat, 25 Oct 2025 20:00:00 +0200

tdebase-trinity (4:14.0.10-0debian7.0.0+0) wheezy; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 24 Apr 2021 06:28:04 +0200

=== debian/control ===
Source: tdebase-trinity
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Fathi Boudra <fboudra@free.fr>, Modestas Vainius <geromanas@mailas.com>, Sune Vuorela <debian@pusling.com>
Build-Depends: cdbs (>= 0.4.39-0.1), debhelper (>= 9~), quilt, cmake, gawk, tdelibs14-trinity-dev, libldap2-dev, libncurses5-dev, libpam0g-dev, libpopt-dev, libraw1394-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], libsensors4-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], libsmbclient-dev, libusb-dev, libxtst-dev, libfontenc-dev, xscreensaver, xscreensaver-data, xscreensaver-data-extra, libxss-dev, libxcomposite-dev, libxdamage-dev, libxkbfile-dev, xkb-data, xutils, sharutils, texinfo, htdig, libavahi-compat-libdnssd-dev (>= 0.4), x11proto-kb-dev, xmkmf | xutils-dev, libogg-dev, libavahi-tqt-dev, udev, libudev-dev, libdbus-1-dev, libconfig-dev, libart-2.0-dev (>= 4:14.0.0~)
Build-Depends-Indep: doxygen, libtqtinterface-doc, graphviz, gsfonts-x11, tdelibs14-trinity-doc
Build-Conflicts: nvidia-glx (<< 1.0.8774-6)
Standards-Version: 3.8.4

Package: tdebase-trinity
Section: tde
Architecture: all
Replaces: kdebase-trinity (<< 4:14.0.0~)
Breaks: kdebase-trinity (<< 4:14.0.0~)
Depends: kappfinder-trinity (>= ${source:Version}), kate-trinity (>= ${source:Version}), kcontrol-trinity (>= ${source:Version}), tdebase-trinity-bin (>= ${source:Version}), tdebase-data-trinity (>= ${source:Version}), tdebase-tdeio-plugins-trinity (>= ${source:Version}), tdepasswd-trinity (>= ${source:Version}), tdeprint-trinity (>= ${source:Version}), kdesktop-trinity (>= ${source:Version}), kfind-trinity (>= ${source:Version}), khelpcenter-trinity (>= ${source:Version}), kicker-trinity (>= ${source:Version}), klipper-trinity (>= ${source:Version}), kmenuedit-trinity (>= ${source:Version}), konqueror-nsplugins-trinity (>= ${source:Version}), konqueror-trinity (>= ${source:Version}), konsole-trinity (>= ${source:Version}), kpager-trinity (>= ${source:Version}), kpersonalizer-trinity (>= ${source:Version}), ksmserver-trinity (>= ${source:Version}), ksplash-trinity (>= ${source:Version}), ksysguard-trinity (>= ${source:Version}), ktip-trinity (>= ${source:Version}), twin-trinity (>= ${source:Version}), libkonq4-trinity (>= ${source:Version}), xcalib
Recommends: tdm-trinity (>= ${source:Version}), tdebase-runtime-data-common-trinity, libtqt3-integration-trinity
Suggests: tdebase-trinity-doc-html (>= ${source:Version})
Description: base components from the official TDE release
 TDE (the Trinity Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This metapackage includes the nucleus of TDE, namely the minimal package
 set necessary to run TDE as a desktop environment. This includes the
 window manager, taskbar, control center, a text editor, file manager,
 web browser, X terminal emulator, and many other programs and components.

Package: tdebase-runtime-data-common-trinity
Section: tde
Architecture: all
Replaces: kdebase-runtime-data-common-trinity (<< 4:14.0.0~)
Breaks: kdebase-runtime-data-common-trinity (<< 4:14.0.0~)
Description: Shared common files for Trinity and KDE4
 .
 Shared common files for both Trinity and KDE4
 Such as the desktop right-click-"Create New" list

Package: kappfinder-trinity
Section: tde
Architecture: any
Replaces: kappfinder-trinity (<< 4:14.0.0~)
Breaks: kappfinder-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Description: non-TDE application finder for TDE
 kappfinder searches your workstation for many common applications and
 creates menu entries for them.
 .
 This package is part of TDE, and a component of the TDE base module.
 See the 'tde-trinity' and 'tdebase-trinity' packages for more information.

Package: kate-trinity
Section: editors
Architecture: any
Replaces: kate-trinity (<< 4:14.0.0~)
Breaks: kate-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Recommends: kregexpeditor-trinity
Suggests: aspell | ispell | hspell, kate-plugins-trinity, khelpcenter-trinity, konsole-trinity
Description: advanced text editor for TDE
 Kate is a multi document editor, based on a rewritten version of the kwrite
 editing widget of TDE.
 .
 It is a multi-view editor that lets you view several instances of the same
 document with all instances being synced, or view more files at the same
 time for easy reference or simultaneous editing. The terminal emulation
 and sidebar are docked windows that can be plugged out of the main window,
 or replaced therein according to your preference.
 .
 Some random features:
 .
  * Editing of big files
  * Extensible syntax highlighting
  * Folding
  * Dynamic word wrap
  * Selectable encoding
  * Filter command
  * Global grep dialog
 .
 This package is part of TDE, and a component of the TDE base module.
 See the 'tde-trinity' and 'tdebase-trinity' packages for more information.

Package: kcontrol-trinity
Section: tde
Architecture: any
Replaces: kcontrol-trinity (<< 4:14.0.0~)
Breaks: kcontrol-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, tdebase-data-trinity (>> ${TDE-Version3}~), tdebase-data-trinity (<< ${TDE-Next-Version3}~), tdebase-runtime-data-common-trinity, usbutils
Recommends: udev
Suggests: khelpcenter-trinity, ntpdate | ntp-simple
Conflicts: tdebase-libs-trinity (<< 4:3.0.0)
Description: control center for TDE
 The Trinity Control Center provides you with a centralized and convenient
 way to configure all of your TDE settings.
 .
 It is made up of multiple modules. Each module is a separate application,
 but the control center organizes all of these programs into a convenient
 location.
 .
 In combination with udev KControl supports the advanced
 configuration of Logitech mice, though the user must be a member of the
 plugdev group.
 .
 This package is part of TDE, and a component of the TDE base module.
 See the 'tde-trinity' and 'tdebase-trinity' packages for more information.

Package: tdebase-trinity-bin
Section: tde
Architecture: any
Replaces: kdebase-trinity-bin (<< 4:14.0.0~)
Breaks: kdebase-trinity-bin (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, libpam-runtime (>= 0.76-14)
Suggests: khelpcenter-trinity, gdb
Conflicts: tdebase-libs-trinity (<< 4:3.0.0), tdm-trinity (<< 4:3.4.1-2), tdebase-workspace-data-trinity (<< 7:3.5.0)
Description: core binaries for the TDE base module
 This package contains miscellaneous programs needed by other
 TDE applications, particularly those in the TDE base module.
 .
 This package is part of TDE, and a component of the TDE base module.
 See the 'tde-trinity' and 'tdebase-trinity' packages for more information.

Package: tdebase-data-trinity
Section: tde
Architecture: all
Replaces: kdebase-data-trinity (<< 4:14.0.0~)
Breaks: kdebase-data-trinity (<< 4:14.0.0~)
Conflicts: kcontrol-trinity (<< 4:3.4.2-1), twin-trinity (<< 4:3.4.2-1), kicker-trinity (<< 4:3.4.2-1), kdf-trinity (<< 4:14.0.6~)
Description: shared data files for the TDE base module
 This package contains the architecture-independent shared data files
 needed for a basic Trinity desktop installation.
 .
 This package is part of TDE, and a component of the TDE base module.
 See the 'tde-trinity' and 'tdebase-trinity' packages for more information.

Package: tdebase-trinity-dev
Section: devel
Architecture: any
Replaces: kdebase-trinity-dev (<< 4:14.0.0~)
Breaks: kdebase-trinity-dev (<< 4:14.0.0~)
Depends: kate-trinity (= ${source:Version}), kcontrol-trinity (= ${source:Version}), tdebase-trinity-bin (= ${source:Version}), tdeprint-trinity (= ${source:Version}), kdesktop-trinity (= ${source:Version}), khelpcenter-trinity (= ${source:Version}), kicker-trinity (= ${source:Version}), klipper-trinity (= ${source:Version}), kmenuedit-trinity (= ${source:Version}), konqueror-nsplugins-trinity (= ${source:Version}), konqueror-trinity (= ${source:Version}), konsole-trinity (= ${source:Version}), ksmserver-trinity (= ${source:Version}), ksplash-trinity (= ${source:Version}), ksysguard-trinity (= ${source:Version}), twin-trinity (= ${source:Version}), tdelibs14-trinity-dev
Description: development files for the TDE base module
 This package contains headers and other development files needed to
 compile software based on the TDE base module.
 .
 This package is part of TDE, and a component of the TDE base module.
 See the 'tde-trinity' and 'tdebase-trinity' packages for more information.

Package: tdebase-trinity-doc
Section: doc
Architecture: all
Replaces: kdebase-trinity-doc (<< 4:14.0.0~)
Breaks: kdebase-trinity-doc (<< 4:14.0.0~)
Description: developer documentation for the TDE base module
 This package contains documentation for the TDE base module, of
 use more for developers creating applications than regular users.
 .
 This package is part of TDE, and a component of the TDE base module.
 See the 'tde-trinity' and 'tdebase-trinity' packages for more information.

Package: tdebase-trinity-doc-html
Architecture: all
Section: doc
Replaces: kdebase-trinity-doc-html (<< 4:14.0.0~)
Breaks: kdebase-trinity-doc-html (<< 4:14.0.0~)
Suggests: konqueror-trinity | www-browser, tdebase-trinity
Description: TDE base documentation in HTML format
 By default the modules provided by TDE only provide their documentation
 in TDE docbook format, which can only be read by Konqueror or KHelpCenter.
 This package provides all of the TDE base documentation converted to
 HTML format so it can be read with any web browser.
 .
 The documentation will be installed into the usual directories
 /opt/trinity/share/doc/tde/HTML/<language>/<app>/, for instance
 /opt/trinity/share/doc/tde/HTML/en/kate/. Documentation is provided for most
 TDE base packages.
 .
 This package is part of TDE, and a component of the TDE base module.
 See the 'tde-trinity' and 'tdebase-trinity' packages for more information.

Package: tdebase-tdeio-plugins-trinity
Section: tde
Architecture: any
Replaces: kdebase-kio-plugins-trinity (<< 4:14.0.0~)
Breaks: kdebase-kio-plugins-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, kdesktop-trinity, libsasl2-modules, psmisc, man-db (>= 2.5.1-1)
Recommends: udisks2 | udisks | pmount, cryptsetup, kamera-trinity, tdebase-tdeio-smb-trinity, tdemultimedia-tdeio-plugins-trinity
Suggests: khelpcenter-trinity, mtools
Conflicts: tdebase-libs-trinity (<< 4:3.0.0), mediamanager
Description: core I/O slaves for TDE
 This package includes the base tdeioslaves. They include, amongst many
 others, file, http, ftp, smtp, pop and imap.
 .
 It also includes the media tdeioslave, which handles removable devices,
 and which works best with procfs, udev, and udisks2/udisks/pmount. Media
 also extends the functionality of many other tdeioslaves. To use this
 service, please make sure that your user is a member of the plugdev
 group.
 .
 This package is part of TDE, and a component of the TDE base module.
 See the 'tde-trinity' and 'tdebase-trinity' packages for more information.

Package: tdebase-tdeio-smb-trinity
Section: tde
Architecture: any
Replaces: kdebase-kio-smb-trinity (<< 4:14.0.0~)
Breaks: kdebase-kio-smb-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, kdesktop-trinity
Conflicts: kdebase-kio-plugins-trinity (<< 4:3.5.13.3~), tdebase-tdeio-plugins-trinity (<< 4:14.0.5~)
Description: SMB I/O slave for TDE
 This package includes SMB tdeioslave.
 .
 This package is part of TDE, and a component of the TDE base module.
 See the 'tde-trinity' and 'tdebase-trinity' packages for more information.

Package: tdepasswd-trinity
Section: utils
Architecture: any
Replaces: kdepasswd-trinity (<< 4:14.0.0~)
Breaks: kdepasswd-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Description: password changer for TDE
 This is a simple application which allows users to change their
 system passwords.
 .

=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,7 @@
 CXXFLAGS := -DSMB_CTX_FLAG_USE_KERBEROS -DSMB_CTX_FLAG_FALLBACK_AFTER_KERBEROS -g -Wall $(DEB_OPT_FLAG)
 
 DEB_CMAKE_EXTRA_FLAGS := \
+ -DCMAKE_EXPORT_COMPILE_COMMANDS="ON" \
  -DLIB_SUFFIX="" \
  -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
  -DCONFIG_INSTALL_DIR="/etc/trinity" \
@@ -29,17 +30,19 @@
  -DCMAKE_BUILD_TYPE=RelWithDebInfo \
  -DCMAKE_SKIP_RPATH="OFF" \
  -DBUILD_ALL="ON" \
- -DWITH_GCC_VISIBILITY="ON" \
+ -DBUILD_TDM_SYSTEMD_UNIT_FILE="ON" \
+ -DSYSTEMDSYSTEMUNITDIR="/lib/systemd/system" \
  -DKCHECKPASS_PAM_SERVICE="kcheckpass-trinity" \
  -DTDM_PAM_SERVICE="tdm-trinity" \
  -DTDESCREENSAVER_PAM_SERVICE="tdescreensaver-trinity" \
+ -DWITH_GCC_VISIBILITY="ON" \
  -DWITH_USBIDS="/usr/share/misc/usb.ids" \
  -DWITH_ARTS="ON" \
  -DWITH_PAM="ON" \
  -DWITH_SASL="ON" \
  -DWITH_ELFICON="ON" \
  -DWITH_SUDO_TDESU_BACKEND="OFF" \
- -DWITH_SUDO_KONSOLE_SUPER_USER_COMMAND="ON" \
+ -DWITH_SUDO_KONSOLE_SUPER_USER_COMMAND="OFF" \
  -DWITH_LDAP="ON" \
  -DWITH_SAMBA="ON" \
  -DWITH_LIBUSB="ON" \
@@ -70,9 +73,6 @@
 	opt/trinity/bin/tdmtsak
 
 DEB_DH_STRIP_ARGS  := --dbg-package=tdebase-trinity-dbg
-
-DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
-                               && echo xz || echo bzip2)
 
 DOC_HTML_PRUNE := ksplashml kcontrol khelpcenter tdesu knetattach tdeioslave kxkb tdedebugdialog kdcop
 
@@ -111,11 +111,13 @@
 
 install/tdm-trinity::
 	#sed -i 's/#UseTheme=true/UseTheme=true/g' debian/tmp/etc/trinity/tdm/tdmrc
-	#sed -i 's/Theme=@@@ToBeReplacedByDesktopBase@@@/Theme=\/opt\/trinity\/share\/apps\/tdm\/themes\/kubuntu-trinity/g' debian/tmp/etc/trinity/tdm/tdmrc
+	#sed -i 's/Theme=@@@ToBeReplacedByDesktopBase@@@/Theme=\/usr\/share\/apps\/tdm\/themes\/debian-moreblue/g' debian/tmp/etc/trinity/tdm/tdmrc
 
 binary-install/tdm-trinity::
 	mkdir -p debian/tdm-trinity/etc/init
-	install -p -D -m644 debian/tdm-trinity.conf debian/tdm-trinity/etc/init/tdm-trinity.conf
+	mkdir -p debian/tdm-trinity/etc/init.d
+	install -p -D -m755 debian/tdm.init debian/tdm-trinity/etc/init.d/tdm
+	
 	install -p -D -m644 debian/tdm-trinity.pam debian/tdm-trinity/etc/pam.d/tdm-trinity
 	install -p -D -m644 debian/tdm-trinity-np.pam debian/tdm-trinity/etc/pam.d/tdm-trinity-np
